Subject: Re: [RFC][PATCH] iproute: Faster ip link add, set and delete

From: [email-masked] (Eric W. Biederman)
Date: Thu, 28 Mar 2013 16:52:51 -0700

Stephen Hemminger <[email-masked]> writes:

> Try the following two patches. It adds a name hash list, and uses Eric's idea
> to avoid loading map on add/delete operations.

On my microbenchmark of just creating 5000 veth pairs this takes pairs
16s instead of 13s of my earlier hacks but that is well down in the
usable range.

Deleting all of those network interfaces one by one takes me 60s.

So on the microbenchmark side this looks like a good improvement and
pretty usable.

I expect Benoit's container startup workload will also reflect this, but
it will be interesting to see the actual result.

Eric